# -*- coding: utf-8 -*-
from item import *

# --------- S --------------
abcde_sword = Weapon(
        name = JTxt('Abcde Sword','gold', True, underlined = True, obfuscated = True),
        lore = Lore([
            JPar(['This is some lore. ','This is some more.','\\n']) ]),
        model = '3101',
        rank = 's',
        stats = Stats([ Stat('dmg', 3.666), Stat('dmg', 6.66 ,'hand'), Stat('attack_speed', -3.33 ,'hand'), Stat('hp', -6.66 ,'hand'), Stat('speed', -0.0666 ,'hand'), Stat('curse', 6.66) ]),
        )
trident = Weapon(
        id = "trident",
        name = JTxt('Trident','dark_aqua', True, underlined = True),
        lore = Lore([
            JPar(['This is some lore. ','This is some more.','\\n']),
            JPar(['Loyalty I','\\n'], 'gray') ]),
        model = '3102',
        rank = 's',
        stats = Stats([ Stat('dmg', 7.6, 'hand'), Stat('attack_speed', -2.6 ,'hand') ]),
        other = 'Enchantments:[{id:"minecraft:loyalty",lvl:1s}]'
        )

s = [abcde_sword, trident]

# --------- A --------------
holy_sword = Weapon(
        name = JTxt('Holy Sword','gold', True, underlined = True),
        lore = Lore([
            JPar(['This is some lore. ','This is some more.','\\n']),
            JPar(['Purify','\\n'], 'gray') ]),
        model = '3201',
        rank = 'a',
        stats = Stats([ Stat('dmg', 6 ,'hand'), Stat('attack_speed', -2.3 ,'hand'), Stat('curse', 2.5) ]),
        other = 'Enchantments:[{}]'
        )
ice_sword = Weapon(
        name = JTxt('Ice Sword','dark_aqua', True, underlined = True),
        lore = Lore([
            JPar(['This is some lore. ','This is some more.','\\n']),
            JPar(['Freezing','\\n'], 'gray') ]),
        model = '3202',
        rank = 'a',
        custom_on = True,
        custom_off = True,
        stats = Stats([ Stat('dmg', 5 ,'hand'), Stat('attack_speed', -2.2 ,'hand') ]),
        other = 'Enchantments:[{}]'
        )
katana = Weapon(
        name = JTxt('Katana','gray', True, underlined = True),
        lore = Lore([
            JPar(['This is some lore. ','This is some more.','\\n']),
            JPar(['Sweeping Edge I','\\n'], 'gray') ]),
        model = '3203',
        rank = 'a',
        stats = Stats([ Stat('dmg', 6.2 ,'hand'), Stat('attack_speed', -2.1 ,'hand'), Stat('speed', 0.018, 'hand') ]),
        other = 'Enchantments:[{id:"minecraft:sweeping",lvl:1s}]'
        )

a = [holy_sword, ice_sword, katana]

# --------- B --------------
blazing_sword = Weapon(
        name = JTxt('Blazing Sword','gold', True, underlined = True),
        lore = Lore([
            JPar(['Made from the corpes of a blaze, ','this weapon has a fraction of their, ','fiery power.','\\n']),
            JPar(['Blazing','\\n'], 'gray') ]),
        model = '3301',
        rank = 'b',
        custom_on = True,
        custom_off = True,
        stats = Stats([ Stat('dmg', 4.8 ,'hand'), Stat('attack_speed', -2.2 ,'hand') ]),
        other = 'Enchantments:[{}]'
        )
long_sword = Weapon(
        name = JTxt('Long Sword','gray', True, underlined = True),
        lore = Lore([
            JPar(['This is some lore. ','This is some more.','\\n']),
            JPar(['Sweeping Edge III','\\n'], 'gray') ]),
        model = '3302',
        rank = 'b',
        stats = Stats([ Stat('dmg', 6.1 ,'hand'), Stat('attack_speed', -2.8 ,'hand') ]),
        other = 'Enchantments:[{id:"minecraft:sweeping",lvl:3s}]'
        )
paladin_sword = Weapon(
        name = JTxt('Paladin Sword','gray', True, underlined = True),
        lore = Lore([
                JPar(['This is some lore. ','This is some more.','\\n']) ]),
        model = '3303',
        rank = 'b',
        stats = Stats([ Stat('dmg', 5.3 ,'hand'), Stat('attack_speed', -2.4 ,'hand'), Stat('hp', 4 ) ])
        )

b = [blazing_sword, long_sword, paladin_sword]

# --------- C --------------
small_dagger = Weapon(
        name = JTxt('Small Dagger','gray', True, underlined = True),
        lore = Lore([ JPar(['Light weight and good','for fast attacks.','\\n']) ]),
        model = '3401',
        rank = 'c',
        stats = Stats([ Stat('dmg', 3.7 ,'hand'), Stat('attack_speed', -1.8 ,'hand'), Stat('speed', 0.015 ,'hand') ]),
        bought = True
        )
battle_axe = Weapon(
        name = JTxt('Battle Axe','gray', True, underlined = True),
        lore = Lore([
                JPar(['A heavy and slow axe','to deal deadly hits.','\\n']),
                JPar(['Knockback I','\\n'], 'gray') ]),
        model = '3402',
        rank = 'c',
        stats = Stats([ Stat('dmg', 6.4 ,'hand'), Stat('attack_speed', -2.8 ,'hand'), Stat('speed', -0.018 ,'hand') ]),
        other = 'Enchantments:[{id:"minecraft:knockback",lvl:1s}]'
        )
iron_spear = Item(
        id = "flint",
        Itype = "weapon",
        name = JTxt('Iron Spear','gray', True, underlined = True),
        lore = Lore([
                JPar(['Used to pierce the enemy','and hit those behind them.','\\n']),
                JPar(['Piercing III','\\n'], 'gray') ]),
        model = '4002',
        rank = 'c',
        stats = Stats([ Stat('dmg', 4.5 ,'hand'), Stat('attack_speed', -2.3 ,'hand'), Stat('speed', -0.006 ,'hand') ]),
        other = 'Enchantments:[{}]'
        )

c = [small_dagger, battle_axe, iron_spear]

# --------- D --------------
beginners_sword = Weapon(
        name = JTxt('Beginners Sword','gray', True, underlined = True),
        lore = Lore([ JPar(['A decent starting sword.','\\n']) ]),
        model = '3501',
        rank = 'd',
        stats = Stats([ Stat('dmg', 4 ,'hand'), Stat('attack_speed', -2.4 ,'hand') ]),
        holder = False
        )
slap_fish = Weapon(
        name = JTxt('Slap Fish','dark_aqua', True, underlined = True),
        lore = Lore([
                JPar(["Ew!!! It\\'s all wet and salty.",'\\n']),
                JPar(['Knockback III','\\n'], 'gray') ]),
        model = '3502',
        rank = 'd',
        stats = Stats([ Stat('dmg', 2 ,'hand'), Stat('attack_speed', -1.9 ,'hand') ]),
        other = 'Enchantments:[{id:"minecraft:knockback",lvl:3s}]',
        bought = True
        )
miner_pickaxe = Weapon(
        name = JTxt('Miner Picaxe','gray', True, underlined = True),
        lore = Lore([ JPar(['This is some lore. ','This is some more.','\\n']) ]),
        model = '3503',
        rank = 'd',
        stats = Stats([ Stat('dmg', 4.7 ,'hand'), Stat('attack_speed', -2.5 ,'hand') ]),
        holder = False,
        bought = True
        )
spear = Item(
        id = "flint",
        Itype = "weapon",
        name = JTxt('Spear','gray', True, underlined = True),
        lore = Lore([
                JPar(['Used to pierce the enemy','and hit those behind them.','\\n']),
                JPar(['Piercing I','\\n'], 'gray') ]),
        model = '4001',
        rank = 'd',
        stats = Stats([ Stat('dmg', 4 ,'hand'), Stat('attack_speed', -2.2 ,'hand') ]),
        other = 'Enchantments:[{}]',
        bought = True
        )

d = [beginners_sword, slap_fish, miner_pickaxe, spear]

weapons = s + a + b + c + d
